part of 'setting_account_cubit.dart';

abstract class SettingAccountState extends Equatable{
  @override
  List<Object> get props => [];
}

class SettingAccountInitial extends SettingAccountState {
  @override
  String toString() {
    return 'SettingAccountInitial{}';
  }
}
class SettingAccountLoading extends SettingAccountState {
  SettingAccountLoading();
  @override
  String toString() => 'SettingAccountLoading';
}
class SettingAccountFailure extends SettingAccountState {
  final String error;

  SettingAccountFailure(this.error);

  @override
  String toString() => 'SettingAccountFailure { error: $error }';
}
class CheckBoxLoading extends SettingAccountState {
  CheckBoxLoading(bool isCheckBox);
  @override
  String toString() => 'CheckBoxLoading';

}
